gnutls_pem_base64_encode(3)

NAME
gnutls_pem_base64_encode - API function

SYNOPSIS
#include <gnutls/gnutls.h>

int gnutls_pem_base64_encode(const char * msg, const gnutls_datum_t * data, char * result, size_t * result_size);

ARGUMENTS

const char * msg
    is a message to be put in the header (may be NULL)

const gnutls_datum_t * data
    contain the raw data

char * result
    the place where base64 data will be copied

size_t * result_size
    holds the size of the result

DESCRIPTION
This function will convert the given data to printable data, using the base64 encoding. This is the encoding used in PEM messages. The output string will be null terminated, although the output size will not include the terminating null.

RETURNS
On success GNUTLS_E_SUCCESS (0) is returned, GNUTLS_E_SHORT_MEMORY_BUFFER is returned if the buffer given is not long enough, or 0 on success.

REPORTING BUGS
Report bugs to <bugs@gnutls.org>.
Home page: https://www.gnutls.org

COPYRIGHT
Copyright © 2001-2020 Free Software Foundation, Inc., and others.
Copying and distribution of this file, with or without modification, are permitted in any medium without royalty provided the copyright notice and this notice are preserved.

SEE ALSO
The full documentation for gnutls is maintained as a Texinfo manual. If the /usr/share/doc/gnutls/ directory does not contain the HTML form visit

https://www.gnutls.org/manual/